' *********************************************************************
' *                                                                   *
' * NOME SCRIPT: ListServices.vbs                                     *
' *                                                                   *
' * Script scritto da A. Tani (Sedoc S.r.l.)                          *
' *                                                                   *
' * Versione 1.1 - Modificato l'ultima volta il 23/11/2009            *
' *                da Alessandro Tani                                 *
' * SCOPO:                                                            *
' *                                                                   *
' *  Ottiene l'elenco dei Servizi di una macchina con Windows 2000    *
' *  o Windows 2003/2008/XP/7 e mostra il loro stato di esecuzione    *
' *                                                                   *
' * File di log: Nessuno                                              *
' *                                                                   *
' * PREREQUISITI:                                                     *
' *                                                                   *
' *  Nessuno                                                          *
' *                                                                   *
' * TESTO:                                                            *
' *                                                                   *
' *  Nessuno                                                          *
' *                                                                   *
' *********************************************************************

'Dichiariamo sempre le variabili
Option Explicit

'Impostiamo gli oggetti
Dim objWMI, objService

'Impostiamo le variabili
Dim strComputer, colServices

'Otteniamo l'elenco dei servizi presenti sulla macchina
Set objWMI = GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\.\root\cimv2")
Set colServices = objWMI.ExecQuery("Select * from Win32_Service")

'Mostriamo lo stato di ciascun Servizio
WScript.Echo ""
WScript.Echo "*************************************************"
WScript.Echo "**                                             **"
WScript.Echo "**  STATO DEI SERVIZI PRESENTI SULLA MACCHINA  **"
WScript.Echo "**                                             **"
WScript.Echo "*************************************************"
WScript.Echo ""
For Each objService in colServices     
    Wscript.Echo " -> " & objService.DisplayName & " (" & objService.Name & ")"  & " = " & objService.State
    Wscript.Echo "    Start with Username = " & objService.StartName
Next